package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BodyPartDTO;
import com.diagbot.entity.Bodypart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.BodyPartVo;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-03-21
 */
public interface BodypartMapper extends BaseMapper<Bodypart> {
    /**
     * 获取所有术语部位信息
     *
     * @param bodyPartVo
     * @return IPage<BodyPartDTO>
     */
    public IPage<BodyPartDTO> getAllBodyParts(BodyPartVo bodyPartVo);


}
