package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BodyPartDTO;
import com.diagbot.entity.Bodypart;
import com.diagbot.mapper.BodypartMapper;
import com.diagbot.service.BodypartService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.BodyPartVo;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
@Service
public class BodypartServiceImpl extends ServiceImpl<BodypartMapper, Bodypart> implements BodypartService {
    @Override
    public IPage<BodyPartDTO> getAllBodyParts(BodyPartVo bodyPartVo) {
        return baseMapper.getAllBodyParts(bodyPartVo);
    }
}
